Bug 433557

Summary: AppImages Make System Tray Application Launcher Icons Invisible
Product: [Plasma] plasmashell Reporter: nekonexus
Component: System TrayAssignee: Konrad Materka <materka>
Status: RESOLVED FIXED    
Severity: normal CC: materka, nate
Priority: NOR    
Version: 5.21.1   
Target Milestone: 1.0   
Platform: Arch Linux   
OS: Linux   
Latest Commit: Version Fixed In: 5.22.0

Description nekonexus 2021-02-24 20:13:20 UTC
SUMMARY
I use AppImage launcher to integrate AppImages with my desktop and, when I approached the developer about it, I was told that it was an icon issue with KDE.

Link:
https://github.com/TheAssassin/AppImageLauncher/issues/366

STEPS TO REPRODUCE
1. Have AppImage Launcher installed
2. Attempt to run the AppImage to have it integrated
3. Application launcher and system tray icons lose their icons for the rest of the session

OBSERVED RESULT
The system tray icons can be restored by exiting the relevant applications entirely and relaunching them, but this does not fix the missing icons affected for apps in the application launcher.

EXPECTED RESULT
App icons shouldn't disappear during user operation

SOFTWARE/OS VERSIONS
Linux: Arch Linux
Kernel: 5.11.1-zen1-1-zen
(available in About System)
KDE Plasma Version: 5.21.1
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
I've managed to reproduce this on every distro I've ever used with KDE, personally
Comment 1 Konrad Materka 2021-02-28 18:41:27 UTC
I think similar situation is when user changes the icon theme - Neko, can you change icon theme is System Settings? Is issue exactly the same?
Comment 2 nekonexus 2021-02-28 21:11:07 UTC
The exact same situation occurs with the system tray, in this scenario, yeah.

However, there's one difference:
in the application launcher, instead of some icons turning into white sheets of paper, they also go completely invisible like the system tray icons that do
Comment 3 Bug Janitor Service 2021-04-24 20:45:18 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/813
Comment 4 Nate Graham 2021-04-25 15:11:51 UTC
Git commit 40bf43ad57cc5be4172261f90d23785f76efb5a8 by Nate Graham, on behalf of Konrad Materka.
Committed on 25/04/2021 at 15:11.
Pushed by ngraham into branch 'master'.

[dataengines/sni] Reapply IconThemePath on icon theme change

SNI can have custom icon path in IconThemePath attribute.
StatusNotifierItemSource uses custom KIconLoader to add this theme dir.

KIconLoader forgets this path on any system change
(for example when icon theme is change in system settings).

Reapply custom theme path on KIconLoader::iconChanged.
FIXED-IN: 5.22.0

M  +5    -0    dataengines/statusnotifieritem/statusnotifieritemsource.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/40bf43ad57cc5be4172261f90d23785f76efb5a8
Comment 5 nekonexus 2021-05-16 20:59:22 UTC
I still have this issue despite the mentioned fix; it never went away.

OS: Arch Linux
Kernel: Linux 5.11.18-152-tkg-upds
KDE Plasma Version: 5.21.5
KDE Frameworks version: 5.82.0
Qt Version: 5.15.2
Graphics Platform: X11
Comment 6 Konrad Materka 2021-05-21 20:38:20 UTC
(In reply to nekonexus from comment #5)
> I still have this issue despite the mentioned fix; it never went away.
> KDE Plasma Version: 5.21.5

It will be fixed in Plasma 5.22